
Redmine - Defect #6456

Missing characters after left bracket in links

2010-09-21 15:03 - Sergei Danilov

Status: Closed Start date: 2010-09-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.0.1

Description

I can't use round brackets in links on wiki pages. "My page (Redmine)" :http://www.redmine.org/my/page link looks like "My page". All

characters after left bracket is missing.

History

#1 - 2010-09-24 21:22 - Holger Just

This is a feature of textile. The content inside the parentheses forms the title of the link. Unfortunately, there is no way around it without breaking

textile compatibility (even more).

Thus, I vote for "Won't fix" for now.

For more information see

http://www.textism.com/tools/textile/

http://rpc.textpattern.com/help/?item=link

#2 - 2010-11-06 14:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Indeed, that's how textile works.

#3 - 2014-09-02 17:00 - Jean-Baptiste Barth

If anybody needs this again (somebody asked on IRC this afternoon), you can do it in textile with html entities: 

"this is a link with &#40;brackets)":http://www.redmine.org
